Skip to main content
Resource Center/Hardware/Backup Storage Operations

GetBackupStorageCapacity

GetBackupStorageCapacity

GET/zstack/v1/backup-storage/capacities

Operation ID

GetBackupStorageCapacity

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • zoneUuids
    List

    Optional. The zone UUID list.

  • backupStorageUuids
    List

    Optional. The backup storage UUID list. Make sure that at least one of zoneUuids and backupStorageUuids is specified. Or, set all to true.

  • all
    boolean

    Optional. If backupStorageUuids is null, this parameter is set true, which means that all backup storages in the system are queried.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalCapacity
    longRequired

    The total capacity. Unit: byte.

  • availableCapacity
    longRequired

    The available capacity. Unit: byte.

  • success
    booleanRequired

    Whether the API succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.